On this page

## Methods

### (inner) search(query, withAccountDataopt)

Searches for Artist Accounts, Hubs, Posts and Releases.

Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`query` | String |  |  | The search query.
`withAccountData` | Boolean | <optional> | false | Fetch full on-chain Hub, Post, and Release accounts.

Source
  - resources/search.js, line 7

Example

    const results = await NinaClient.Search.withQuery('nina');

Type anything to view search result